# Uses of Interface
java.lang.classfile.attribute.ModuleHashesAttribute

Packages that use ModuleHashesAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModuleHashesAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type ModuleHashesAttribute
Modifier and Type
Method
Description
`static AttributeMapper<ModuleHashesAttribute>`
Attributes.`moduleHashes()`
Returns the mapper for the `ModuleHashes` attribute.

## Uses of ModuleHashesAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type ModuleHashesAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`ModuleHashesAttribute`
Models the `ModuleHashes` attribute, which appears on classes that represent module descriptors to capture the hashes of a set of co-delivered modules.
Methods in java.lang.classfile.attribute that return ModuleHashesAttribute
Modifier and Type
Method
Description
`static ModuleHashesAttribute`
ModuleHashesAttribute.`of(Utf8Entry algorithm, ModuleHashInfo... hashes)`
Returns a `ModuleHashes` attribute.
`static ModuleHashesAttribute`
ModuleHashesAttribute.`of(Utf8Entry algorithm, List<ModuleHashInfo> hashes)`
Returns a `ModuleHashes` attribute.
`static ModuleHashesAttribute`
ModuleHashesAttribute.`of(String algorithm, ModuleHashInfo... hashes)`
Returns a `ModuleHashes` attribute.
`static ModuleHashesAttribute`
ModuleHashesAttribute.`of(String algorithm, List<ModuleHashInfo> hashes)`
Returns a `ModuleHashes` attribute.